image: node:alpine

variables:
  SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"  # Defines the location of the analysis task cache
  GIT_DEPTH: "0"  # Tells git to fetch all the branches of the project, required by the analysis task

pages:
  stage: deploy
  script:
    - apk add --no-cache openjdk8-jre
    - npm install -g @angular/cli@8.3.22
    - npm install -g ng-openapi-gen
    - npm install
    - npm run build
    - mkdir public
    - mv dist/reden-jetzt/* public/
    - cp public/index.html public/404.html
  artifacts:
    paths:
      - public
  only:
    - master
 
include:
  - template: Code-Quality.gitlab-ci.yml

include:
  - template: Dependency-Scanning.gitlab-ci.yml

sonarcloud-check:
  image:
    name: sonarsource/sonar-scanner-cli:latest
    entrypoint: [""]
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  script:
    - sonar-scanner
  only:
    - merge_requests
    - master
    - develop
